public static interface WebhookEndpointBuilderFactory.WebhookBuilders
| Modifier and Type | Method and Description |
|---|---|
default WebhookEndpointBuilderFactory.WebhookEndpointBuilder |
webhook(String path)
Webhook (camel-webhook)
Expose webhook endpoints to receive push notifications for other
Camel components.
|
default WebhookEndpointBuilderFactory.WebhookEndpointBuilder |
webhook(String componentName,
String path)
Webhook (camel-webhook)
Expose webhook endpoints to receive push notifications for other
Camel components.
|
default WebhookEndpointBuilderFactory.WebhookEndpointBuilder webhook(String path)
webhook:endpointUri
Path parameter: endpointUri (required)
The delegate uri. Must belong to a component that supports webhooks.path - endpointUridefault WebhookEndpointBuilderFactory.WebhookEndpointBuilder webhook(String componentName, String path)
webhook:endpointUri
Path parameter: endpointUri (required)
The delegate uri. Must belong to a component that supports webhooks.componentName - to use a custom component name for the endpoint
instead of the default namepath - endpointUriApache Camel